# Обработка ошибок/исключений

Kohana предоставляет обработчик как для исключений, так и для ошибок (он превращает ошибку в исключение с помощью стандартного PHP-класса [ErrorException](http://php.net/errorexception)). Обработчик показывает множество подробностей и внутреннее состояние приложения:

1. Класс исключения
2. Уровень ошибки
3. Текст ошибки
4. Исходный код, вызвавший ошибку, соответствующая строка подсвечивается
5. [Трассировка](http://php.net/debug_backtrace) хода выполнения
6. Подключенные файлы, загруженные расширения и глобальные переменные

## Пример

Нажмите по любой ссылке для раскрытия блока дополнительной информации:

<div>{{userguide/examples/error}}</div>

## Отключение обработчика ошибок/исключений

Если Вы не хотите использовать встроенный обработчик ошибок, отключите его с помощью [Kohana::init]:

    Kohana::init(array('errors' => FALSE));
