# 什么是 Kohana?

Kohana 是由志愿者团队开发的一个开源形式使用 [PHP5](http://php.net/manual/intro-whatis "PHP Hypertext Preprocessor") 开发的[面对对象](http://wikipedia.org/wiki/Object-Oriented_Programming)模式 [MVC](http://wikipedia.org/wiki/Model–View–Controller "Model View Controller") 架构的 [Web 框架](http://wikipedia.org/wiki/Web_Framework)。它目标旨在快速开发，高安全性，轻量级代码。

[!!] Kohana 是基于 [BSD license](http://kohanaframework.org/license) 发布，所以大家可以用它开发任何的开源形式的，公司形式的或者个人形式的应用。

## Kohana 的特点是什么？

使用独有的 [文件系统](about.filesystem) 设计可以任意继承库类而经可能少的（或不需要）[配置](about.configuration)，[错误句柄](debugging.errors)能够在开发过程中迅速定位错误源，并有内置的[调试器](debugging.overview)和[分析器](debugging.profiling)作为辅助开发工具。

并且提供为您的应用程序提供安全系数相关的工具：[XSS removal](security.xss)，[input validation](security.validation)，[signed cookies](security.cookies)，[form](security.forms) 和 [HTML](security.html)。于此同时，[数据库](security.database)层提供对 [SQL 注入](http://wikipedia.org/wiki/SQL_Injection)的保护。这是因为所有的官方代码经过精心编写和安全审查的。

## 这文档太逊了！

我们正在全力提供完整的文档。如果你想从问题中找到答案，请查阅[非官方 Wiki](http://kerkness.ca/wiki/doku.php)。如果你想要添加或修改文档的内容，请 [fork](http://github.com/kohana/userguide) 本文档保存后发送 pull 请求。如果你不善于使用 git，你同样可以提交[feature request](http://dev.kohanaframework.org/projects/kohana3/issues)(需要注册)。
