<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports ADSL Plans
 *
 * @package    OSB
 * @subpackage ADSL
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_ADSL_Plan extends ORMOSB {
	// Relationships
	protected $_belongs_to = array(
		'adsl_supplier_plan'=>array(),
	);
	protected $_has_many = array(
		'service'=>array('through'=>'service__adsl'),
	);

	protected $_formats = array(
		'extra_down_peak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_down_offpeak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_up_peak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_up_offpeak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
	);

	/**
	 * Show the ADSL allowance as a peak/offpeak metric
	 */
	public function allowance($string=TRUE) {
		$output = ADSL::allowance(array(
			'base_down_peak'=>$this->base_down_peak,
			'base_down_offpeak'=>$this->base_down_offpeak,
			'base_up_peak'=>$this->base_up_peak,
			'base_up_offpeak'=>$this->base_up_offpeak,
			'extra_down_peak'=>$this->extra_down_peak,
			'extra_down_offpeak'=>$this->extra_down_offpeak,
			'extra_up_peak'=>$this->extra_up_peak,
			'extra_up_offpeak'=>$this->extra_up_offpeak,
			));

		return $string ? implode('/',$output) : $output;
	}
}
?>
